Package org.apache.synapse.commons.vfs

## Class VFSParamDTO

- java.lang.Object
- - org.apache.synapse.commons.vfs.VFSParamDTO

-     public class VFSParamDTO
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VFSParamDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Long` | `getAutoLockReleaseInterval()` |
    `boolean` | `isAutoLockRelease()` |
    `boolean` | `isAutoLockReleaseSameNode()` |
    `void` | `setAutoLockRelease​(boolean autoLockRelease)` |
    `void` | `setAutoLockReleaseInterval​(Long autoLockReleaseInterval)` |
    `void` | `setAutoLockReleaseSameNode​(boolean autoLockReleaseSameNode)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VFSParamDTO

          public VFSParamDTO()

  - ### Method Detail

    - #### isAutoLockRelease

          public boolean isAutoLockRelease()

      Returns:
        the autoLockRelease

    - #### setAutoLockRelease

          public void setAutoLockRelease​(boolean autoLockRelease)

      Parameters:
        `autoLockRelease` - the autoLockRelease to set

    - #### isAutoLockReleaseSameNode

          public boolean isAutoLockReleaseSameNode()

      Returns:
        the autoLockReleaseSameNode

    - #### setAutoLockReleaseSameNode

          public void setAutoLockReleaseSameNode​(boolean autoLockReleaseSameNode)

      Parameters:
        `autoLockReleaseSameNode` - the autoLockReleaseSameNode to set

    - #### getAutoLockReleaseInterval

          public Long getAutoLockReleaseInterval()

      Returns:
        the autoLockReleaseInterval

    - #### setAutoLockReleaseInterval

          public void setAutoLockReleaseInterval​(Long autoLockReleaseInterval)

      Parameters:
        `autoLockReleaseInterval` - the autoLockReleaseInterval to set